Subject: Re: [RFC/PATCH] Documentation/remote-helpers: explain capabilities first

From: Jonathan Nieder <[email-masked]>
Date: Fri, 18 Mar 2011 17:21:07 -0500

Sverre Rabbelier wrote:
> On Fri, Mar 18, 2011 at 18:45, Jonathan Nieder <[email-masked]> wrote:

>> No documentation for "export" ... yet
>
> Which is for the better, since I think the current interface is
> broken. It'll be easier to justify changing it if it's not documented
> ;).

Thanks for explaining.  FWIW I'd be interested in your thoughts on this
sometime (not now necessarily, just some time before the svn push
support project is on the front burner :)).

>> (by the way: would it
>> make sense to export the GIT_DIR environment variable so a round trip
>> for the 'gitdir' capability would eventually be unnecessary?).
>
> Yes, that makes a lot of sense.
>
>> The current documentation left me lost, so I wrote this (which still
>> probably leaves one lost).  Thoughts?
>
> I think it makes sense.

Glad to hear it.  (The GIT_DIR idea is Tom's iirc.)